lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "devflow/version"

Gem::Specification.new do |spec|
  spec.name          = "devflow"
  spec.version       = DevFlow::VERSION
  spec.authors       = ["Micke Lisinge"]
  spec.email         = ["hi@micke.me"]
  spec.description   = %q{CLI for creating branches in a TP workflow}
  spec.summary       = %q{CLI for creating branches in a TP workflow}
  spec.homepage      = "https://github.com/micke/devflow"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 1.9.3"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_runtime_dependency "httparty", "~> 0.16"
end

